package com.om.utils;

public class UserContext {
    private static final ThreadLocal<Integer> TL = new ThreadLocal<>();

    /**
     * 保存管理员信息
     * @param userId 用户id
     */
    public static void setUserId(Integer userId){
        TL.set(userId);
    }

    /**
     * 获取管理员
     * @return 用户id
     */
    public static Integer getUserId(){
        return TL.get();
    }

    /**
     * 移除用户信息
     */
    public static void removeUser(){
        TL.remove();
    }
}

